How to kill all faces in a model?
-
Or conversely, only select the edges? Thought there might be a plugin for this, but couldn't find one. TIA
-
ThomThom's Selection Tools? Find it in the Plugins Index above.
-
Go to Vieuw ,edge style.
Un-tick edges.
Select all. (Ctl A)
Press delete ,
Go back to Vieuw ,edge style
Tick edgesReady !
Bep
-
That's what I love about this place...post a message at 6:30 AM Sunday morning, and there's two answers waiting in short time! Thanks guys
Here's a couple images of an Aquarium Hood I'm building in SketchUp and will be printing out on Ponoko 3D printing and laser cut aluminum. These are the SketchUp models for them. -
These are some 'one-liners' that manipulate selections etc - Copy+Paste into the Ruby Console + <enter>
To select just Faces and Edges in the active contextm=Sketchup.active_model;s=m.selection;s.clear;m.active_entities.each{|e|s.add(e)if e.class==Sketchup;;Face or e.class==Sketchup;;Edge}
To select just all Faces in the active context
m=Sketchup.active_model;s=m.selection;s.clear;m.active_entities.each{|e|s.add(e)if e.class==Sketchup;;Face}
To select just all Edges in the active context
m=Sketchup.active_model;s=m.selection;s.clear;m.active_entities.each{|e|s.add(e)if e.class==Sketchup;;Edge}
To select just the Faces and Edges in the current selection
m=Sketchup.active_model;s=m.selection;s.each{|e|s.remove(e)if e.class!=Sketchup;;Face and e.class!=Sketchup;;Edge}
To select just the Edges in the current selection
m=Sketchup.active_model;s=m.selection;s.each{|e|s.remove(e)if e.class!=Sketchup;;Edge}
To select just the Faces in the current selection
m=Sketchup.active_model;s=m.selection;s.each{|e|s.remove(e)if e.class!=Sketchup;;Face}
You can expand this idea to quickly select/deselect all manner of things
Advertisement